import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const DatabaseBackupMinAggregateInputObjectSchema: z.ZodType<Prisma.DatabaseBackupMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupMinAggregateInputType>;
export const DatabaseBackupMinAggregateInputObjectZodSchema = makeSchema();
